Subject: Re: [PATCH v2 3/3] net: tls: Add ARIA-GCM algorithm

From: Jakub Kicinski <[email-masked]>
Date: Tue, 5 Jul 2022 11:31:02 -0700

On Tue, 5 Jul 2022 12:29:02 +0800 Herbert Xu wrote:
> I need to know that you guys will take the network part of the
> patch in order to accept the crypto part.  We don't add algorithms
> with no in-kernel users.

GTK, I thought maybe using crypto sockets is enough of a reason.

> As long as you are happy to take the TLS part later, we can add
> the crypto parts right now.

Yup, can confirm. I haven't heard of this algo before but the IETF
RFC looks legit so we'll take the TLS part.